package nodetypes.binary;

import nodetypes.Expression;
import visitors.Visitor;

public class Addition extends BinaryOperation {
	public Addition(Expression l, Expression r) {
		setLeft(l);
		setRight(r);
	}
	
	public Addition() {
		this(null, null);
	}
	
	@Override
	public int accept(Visitor v) {
		return v.visit(this);
	}
}
