package nodetypes.binary;

import nodetypes.Expression;
import visitors.Visitor;

public class Division extends BinaryOperation {
	
	public Division(Expression l, Expression r) {
		setLeft(l);
		setRight(r);
	}
	
	public Division() {
		this(null, null);
	}
	
	@Override
	public int accept(Visitor v) {
		return v.visit(this);
	}

}
