package nodetypes;

import visitors.Visitor;

public class Value implements Expression {
	
	public Value(int v) {
		value = v;
	}
	
	public Value() {
		this(0);
	}
	
	public int getValue() {
		return value;
	}
	
	@Override
	public int accept(Visitor v) {
		return v.visit(this);
	}

	
	private int value;
}
