package nodetypes.binary;

import nodetypes.Expression;

/*Observam ca acest cod s-ar repeta in toate nodurile ce abstractizeaza operatii binare deci le punem intr-o clasa 
 * abstracta de baza*/
public abstract class BinaryOperation implements Expression {
	
	public void setLeft(Expression exp) {
		left = exp;
	}
	
	public void setRight(Expression exp) {
		right = exp;
	}
	
	public Expression getLeft() {
		return left;
	}
	
	public Expression getRight() {
		return right;
	}
	
	private Expression left;
	private Expression right;
}
