package nodetypes.binary;

import nodetypes.Expression;
import visitors.Visitor;

public class Multiplication extends BinaryOperation {
	
	public Multiplication(Expression l, Expression r) {
		setLeft(l);
		setRight(r);
	}
	
	public Multiplication() {
		this(null, null);
	}
	
	@Override
	public int accept(Visitor v) {
		return v.visit(this);
	}
	
}
